Bug 58229 - rpm segfault
Summary: rpm segfault
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-11 11:46 UTC by Binand Sethumadhavan
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-05 18:10:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Binand Sethumadhavan 2002-01-11 11:46:48 UTC
Description of Problem:
rpm CLI segfaults on rpm --repackage

Version-Release number of selected component (if applicable):
rpm-4.0.3-1.03

How Reproducible:

Always

Steps to Reproduce:
binand@binand[~]:(35) rpm --repackage
Segmentation fault

Additional Information:
Default workstation install of redhat 7.2

Comment 1 Need Real Name 2002-01-13 01:21:01 UTC
Starting with a vanilla RH7.2 server install.

Tried to apply a subset of updates using: rpm -Fvh *.rpm
It got about 75% of the update packages installed, then started getting db errors.

ran: rpm --rebuilddb
segfault

ran: rm /var/lib/rpm/__db*
ran: rpm --initdb 
rpmdb:Overflowpage 1536 of invalid type
... whole pile of similar messages ending in db3 error(-30985) from db->verify

ran: rpm --rebuilddb
segfault

ran: rpm -qa 
... listed several dozen rpms up until glibc-common-2.2.4-13 then
segfault



Am I forced to reinstall from scratch and hope for something better?
Or, is there a way to rebuild the entire rpm directory?

This is a rather *critical* tool to be exhibiting these sorts of problems.


Comment 2 Jeff Johnson 2002-02-05 18:10:51 UTC
If you attach a pointer (i.e. URL, attachments won't work)
to a tarball fo your database
	cd /var/lib
	tar czvf /tmp/rpmdb-58229.tar.gz rpm
I'll see what I can save.

Comment 3 Jeff Johnson 2002-02-24 17:25:47 UTC
CLosed for lack of input. Please reopen with
pointer to rpmdb tarball if this is still a problem.


Note You need to log in before you can comment on or make changes to this bug.